uk.gov.hmrc.cache.controller

# CachingController

###
Related Doc: package controller

#### trait CachingController extends MongoDbConnection with TimeToLive

Self Type
  CachingController with Controller

Linear Supertypes
TimeToLive, MongoDbConnection, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. CachingController
2. TimeToLive
3. MongoDbConnection
4. AnyRef
5. Any

1. Hide All
2. Show all

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def add(source: String, id: String, key: String)(extractBody: ((JsValue) ⇒ Future[Result]) ⇒ Future[Result])(implicit request: Request[JsValue]): Future[Result]

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### lazy val cacheMongoFormats: Format[Cache]

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def dataKeys(source: String, id: String): Future[Result]

9. #### implicit val db: () ⇒ DefaultDB

   Definition Classes
     MongoDbConnection

10. #### lazy val defaultExpireAfter: Long

    Definition Classes
      TimeToLive

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### def find[A](source: String, id: String)(implicit w: Writes[A]): Future[Result]

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### lazy val mongoConnector: MongoConnector

    Definition Classes
      MongoDbConnection

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### def remove(source: String, id: String): Future[Result]

23. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

24. #### def toString(): String

    Definition Classes
      AnyRef → Any

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from TimeToLive

### Inherited from MongoDbConnection

### Inherited from AnyRef

### Inherited from Any

### Ungrouped